Subject: Re: [PATCH v2 21/25] rev-list: add --index-objects option

From: Jeff King <[email-masked]>
Date: Thu, 16 Oct 2014 20:43:46 -0400

On Thu, Oct 16, 2014 at 08:12:31PM -0400, Jeff King wrote:

> > "--indexed-objects" (short for "--show-objects-in-the-index") or
> > something?
> 
> That sounds reasonable. We could technically do `--indexed` as that is
> different from `--index`, but maybe they are still confusingly close.

Here's a re-roll of the final 5 patches of the series with the updated
name (`--indexed-objects`). The name change cascades from patch 22 to
patches 23 and 25 (and I renamed the matching pack-objects option as
well). 24 and 26 are unchanged, but I figured it is easier on you to
replace the whole block of patches at once.

  [22/26]: rev-list: add --indexed-objects option
  [23/26]: reachable: use revision machinery's --indexed-objects code
  [24/26]: pack-objects: use argv_array
  [25/26]: repack: pack objects mentioned by the index
  [26/26]: pack-objects: double-check options before discarding objects